Bug 164623 - Random Album playback not working
Summary: Random Album playback not working
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0-SVN
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-21 22:34 UTC by Craig Turner
Modified: 2008-07-12 15:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Turner 2008-06-21 22:34:30 UTC
Version:           2.0 SVN-Neon (using KDE 4.0.80)
Installed from:    Ubuntu Packages
OS:                Linux

Running Amarok on Gnome using KDE libraries. Random playback appears to be non-functional. Playing files from a windows partition on the same machine, files play in order despite random playback being turned on for the playlist.
Comment 1 Casey Link 2008-07-11 22:56:35 UTC
Does this still occur in recent versions of the svn?
Comment 2 Craig Turner 2008-07-12 04:06:48 UTC
Yes, It is still happening after at least 5 updates from the repositories.
Comment 3 Mark Kretschmann 2008-07-12 09:11:14 UTC
Random Track playback works fine in svn trunk.

What's not yet implemented is the Random Album playback.
Comment 4 Mark Kretschmann 2008-07-12 09:11:29 UTC
Random Track playback works fine in svn trunk.

What's not yet implemented is the Random Album playback.
Comment 5 Craig Turner 2008-07-12 15:21:09 UTC
I have just checked for updates, and installed the latest version of Amarok Nightly (now running version: Version 2.0-SVN-Neon
Using KDE 4.00.84 (KDE 4.0.84 (KDE 4.1 >= 20080625))

Have tried both track and album random playback, and random track playback is not working either.

In addition, the options for random track and album, the icons next to them are grayed out, suggesting that they are not available.
Comment 6 Mark Kretschmann 2008-07-12 15:29:33 UTC
Well no idea, it's definitely working here..
Comment 7 Nikolaj Hald Nielsen 2008-07-12 15:57:12 UTC
SVN commit 831344 by nhnielsen:

BUG: 164623 We now have a RandomAlbumNavigator making the random album playback mode actually work! :-)


 M  +1 -0      CMakeLists.txt  
 M  +2 -2      playlist/PlaylistModel.cpp  
 A             playlist/RandomAlbumNavigator.cpp   [License: GPL (v2/3)]
 A             playlist/RandomAlbumNavigator.h   [License: GPL (v2/3)]


WebSVN link: http://websvn.kde.org/?view=rev&revision=831344